Subject: Re: bug#67382: 26.3; Emacs manual: clarify notions/names "visual line" and "screen line"
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Thu, 23 Nov 2023 16:58:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Drew Adams <[email-masked]>
> Date: Wed, 22 Nov 2023 16:56:55 +0000
> 
> Close if you don't think this is a bug.  But in that case please point
> to / explain where this is explained/defined in the manual.
> 
> There are multiple functions/commands that have `visual' in their name,
> and refer to "visual lines".  And there is `visual-line-mode', which is
> not necessarily involved/required for such functions.
> 
> I haven't found a definition of "visual line" in the manual.  But I do
> see a definition of "screen line", in node `Continuation Lines'.  Is
> "visual line" synonymous with "screen line"?  If so, should "visual line"
> replace "screen line", since there are line-oriented functions with
> `visual' in their name?
> 
> Please take a look, and if relevant fix the manual to make this clear.
> Functions whose doc strings or manual doc refers to "visual line" should
> be able to be understood by referring to some definition/explanation of
> "visual line" in the manual.  The only index entry matching "visual
> line" is for node `Visual Line Mode'.  The Glossary refers only to
> "screen lines", not "visual lines" - there's no match for "visual" in
> the Glossary at all.

Thanks, I added "visual line" to a few places in the manual (on the
emacs-29 branch), and also added an index entry, so readers will now
be able to find it quickly.

I'm therefore closing this bug.